Bug Hunting Session
Bug 76436 - VIEWING: Impress file can not be edited when remote control is stopped
Summary: VIEWING: Impress file can not be edited when remote control is stopped
Status: NEW
Alias: None
Product: Impress Remote
Classification: Unclassified
Component: General (show other bugs)
Version:
(earliest affected)
2.1.0 alpha
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-21 10:04 UTC by Kevin Suo
Modified: 2016-11-08 12:03 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kevin Suo 2014-03-21 10:04:26 UTC
Description:
The impress file can not be edited within my pc when the remote control is stoped.

Steps:
1. New impress file, input some content.
2. Start remote control, play with it;
3. Stop remote control from the android device;
4. try to edit the impress file within your pc.

Current behaviour:
You can not edit your impress file in step 4.

Expected:
Editing is allowed in step 4.

Version:
Impress Remote Control 2.1.0 alpha
LibreOffice 4.2.3.1
Fedora 20 x86.
Comment 1 Kevin Suo 2014-03-21 10:06:48 UTC
More info:
I started my remote control by wifi, not bluetooth. (bluetooth is not usable in my android 4.1 device and my fedora 20 pc, even if I disable the firewall deamon.)
Comment 2 Robinson Tryon (qubit) 2014-04-04 21:14:56 UTC
CONFIRMED with AIR 2.1.0 alpha + LO Version: 4.2.3.2 on Ubuntu 12.04.4

(In reply to comment #0)
> Description:
> The impress file can not be edited within my pc when the remote control is
> stoped.
> 
> Steps:
> 1. New impress file, input some content.

Added title "Broken Remote"

> 2. Start remote control, play with it;

I'm going to interpret "start remote control, play with it" as

a) Start up the app

b) Connect to the computer
(including typing-in the PIN code)

c) run the presentation

(Note: because I usually have strict firewalling, I had to explicitly allow traffic in from my local LAN -- you could do multicast traffic, etc.. separately, but I just allowed it all during the testing period)


> 3. Stop remote control from the android device;

I first tried "Stop slide show".

> 4. try to edit the impress file within your pc.
> 

Trying to click on an element on the slide did not change the cursor to an "insert" cursor, or allow me to make changes, but first going to Format -> Position and Size, and then changing the Width was successful, and after that I was able to edit the document normally.

> 3(Try II). Stop remote control from the android device;

Next, I tried to stop the remote control app *completely* on my android device.

a) "Stop slide show"
b) Make sure the process for AIR is no longer running

> 4(Try II). try to edit the impress file within your pc.

Same problem. After using a menu option (e.g. Format -> Paragraph -> press "OK"), the problem goes away.

> Current behaviour:
> You can not edit your impress file in step 4.

CONFIRMED

----

Suokunlong: Is this a regression from previous versions of the AIR?
Comment 3 Kevin Suo 2014-04-05 00:02:08 UTC
(In reply to comment #2)
 
> Suokunlong: Is this a regression from previous versions of the AIR?

Sorry, 2.1.0 alpha was the first release I tested. Before that I dont know where can I get a built.
Comment 4 Robinson Tryon (qubit) 2014-04-05 00:15:12 UTC
(In reply to comment #3)
> (In reply to comment #2)
>  
> > Suokunlong: Is this a regression from previous versions of the AIR?
> 
> Sorry, 2.1.0 alpha was the first release I tested. Before that I dont know
> where can I get a built.

Try the links listed here:
https://wiki.documentfoundation.org/Development/Impress/Remote#Development_Builds

:-)
Comment 5 Robinson Tryon (qubit) 2015-02-13 19:22:22 UTC
Moving bug to (new) 'Impress Remote' product.
Comment 6 QA Administrators 2016-11-08 12:03:44 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.1.6 or 5.2.3  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20161108